org.jfree.report.modules.gui.swing.common.localization

## Class LocaleUpdateHandler

- java.lang.Object
- - org.jfree.report.modules.gui.swing.common.localization.LocaleUpdateHandler

- All Implemented Interfaces:
    java.beans.PropertyChangeListener, java.util.EventListener

      public class LocaleUpdateHandler
      extends java.lang.Object
      implements java.beans.PropertyChangeListener

  Copies the locale from one central point (usually the dialog) to all listeners.
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocaleUpdateHandler(javax.swing.JComponent localizedComponent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `propertyChange(java.beans.PropertyChangeEvent evt)` This method gets called when a bound property is changed.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocaleUpdateHandler

          public LocaleUpdateHandler(javax.swing.JComponent localizedComponent)

  - ### Method Detail

    - #### propertyChange

          public void propertyChange(java.beans.PropertyChangeEvent evt)

      This method gets called when a bound property is changed.
      Specified by:
        `propertyChange` in interface `java.beans.PropertyChangeListener`
      Parameters:
        `evt` - A PropertyChangeEvent object describing the event source and the property that has changed.